> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/workflows-and-signing/bulk-sign.md).

# Bulk Sign

## POST /api/Public/BulkSign/sign

> Bulk sign

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"BulkSign"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.BulkSignInput":{"required":["lotId","signatureImage"],"type":"object","properties":{"lotId":{"type":"integer","format":"int64"},"signatureImage":{"minLength":1,"type":"string"},"reviewerComments":{"maxLength":500,"minLength":0,"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/BulkSign/sign":{"post":{"tags":["BulkSign"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.BulkSignInput"}}}},"responses":{"200":{"description":"OK"}},"summary":"Bulk sign","operationId":"post_BulkSign_sign"}}}}
```

## GET /api/Public/BulkSign/pending-lots

> Pending lots

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"BulkSign"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/BulkSign/pending-lots":{"get":{"tags":["BulkSign"],"responses":{"200":{"description":"OK"}},"summary":"Pending lots","operationId":"get_BulkSign_pending_lots"}}}}
```
